Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ant.jmx
Class JMXAccessorEqualsCondition

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.catalina.ant.jmx.JMXAccessorEqualsCondition

All Implemented Interfaces:
  java.lang.Cloneable, org.apache.tools.ant.taskdefs.condition.Condition

public class JMXAccessorEqualsCondition
extends org.apache.tools.ant.ProjectComponent
implements org.apache.tools.ant.taskdefs.condition.Condition

Definition

       <path id="catalina_ant">
           <fileset dir="${catalina.home}/server/lib">
               <include name="catalina-ant.jar"/>
               <include name="catalina-ant-jmx.jar"/>
           </fileset>
       </path>

       <typedef
           name="jmxEquals"
           classname="org.apache.catalina.ant.jmx.JMXAccessorEqualsCondition"
           classpathref="catalina_ant"/>

usage: Wait for start backup node

         <target name="wait">
            <waitfor maxwait="${maxwait}" maxwaitunit="second" timeoutproperty="server.timeout" >
               <and>
                   <socket server="${server.name}" port="${server.port}"/>
                   <http url="${url}"/>
                   <jmxEquals
                       host="localhost" port="9014" username="controlRole" password="tomcat"
                       name="Catalina:type=IDataSender,host=localhost,senderAddress=192.168.111.1,senderPort=9025"
                       attribute="connected" value="true"
                   />
               </and>
           </waitfor>
           <fail if="server.timeout" message="Server ${url} don't answer inside ${maxwait} sec" />
           <echo message="Server ${url} alive" />
       </target>

Since:
  5.5.10
Version:
  $Revision: 466608 $ $Date: 2006-10-21 17:10:15 -0600 (Sat, 21 Oct 2006) $
Author:
  Peter Rossbach

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`JMXAccessorEqualsCondition()`

Method Summary
`protected java.lang.String` | `accessJMXValue()`
`boolean` | `eval()`
`java.lang.String` | `getAttribute()`
`java.lang.String` | `getHost()`
`java.lang.String` | `getInfo()` Return descriptive information about this implementation and the corresponding version number, in the format `<description>/<version>`.
`protected javax.management.MBeanServerConnection` | `getJMXConnection()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getPort()`
`java.lang.String` | `getRef()`
`java.lang.String` | `getUrl()`
`java.lang.String` | `getUsername()`
`java.lang.String` | `getValue()`
`void` | `setAttribute(java.lang.String attribute)`
`void` | `setHost(java.lang.String host)`
`void` | `setName(java.lang.String objectName)`
`void` | `setPassword(java.lang.String password)`
`void` | `setPort(java.lang.String port)`
`void` | `setRef(java.lang.String refId)`
`void` | `setUrl(java.lang.String url)`
`void` | `setUsername(java.lang.String username)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMXAccessorEqualsCondition

    public JMXAccessorEqualsCondition()

Method Detail

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this implementation and the corresponding version number, in the format `<description>/<version>`.

### getAttribute

    public java.lang.String getAttribute()

  Returns:
    Returns the attribute.

### setAttribute

    public void setAttribute(java.lang.String attribute)

  Parameters:
    `attribute` - The attribute to set.

### getHost

    public java.lang.String getHost()

  Returns:
    Returns the host.

### setHost

    public void setHost(java.lang.String host)

  Parameters:
    `host` - The host to set.

### getName

    public java.lang.String getName()

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String objectName)

  Parameters:
    `objectName` - The name to set.

### getPassword

    public java.lang.String getPassword()

  Returns:
    Returns the password.

### setPassword

    public void setPassword(java.lang.String password)

  Parameters:
    `password` - The password to set.

### getPort

    public java.lang.String getPort()

  Returns:
    Returns the port.

### setPort

    public void setPort(java.lang.String port)

  Parameters:
    `port` - The port to set.

### getUrl

    public java.lang.String getUrl()

  Returns:
    Returns the url.

### setUrl

    public void setUrl(java.lang.String url)

  Parameters:
    `url` - The url to set.

### getUsername

    public java.lang.String getUsername()

  Returns:
    Returns the username.

### setUsername

    public void setUsername(java.lang.String username)

  Parameters:
    `username` - The username to set.

### getValue

    public java.lang.String getValue()

  Returns:
    Returns the value.

### setValue

    public void setValue(java.lang.String value)

### getRef

    public java.lang.String getRef()

  Returns:
    Returns the ref.

### setRef

    public void setRef(java.lang.String refId)

  Parameters:
    `refId` - The ref to set.

### getJMXConnection

    protected javax.management.MBeanServerConnection getJMXConnection()
                                                               throws java.net.MalformedURLException,
                                                                      java.io.IOException

  Throws:
    `java.net.MalformedURLException`
    `java.io.IOException`

### accessJMXValue

    protected java.lang.String accessJMXValue()

  Returns:
    The value

### eval

    public boolean eval()

  Specified by:
    `eval` in interface `org.apache.tools.ant.taskdefs.condition.Condition`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.